<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xmlns:aop="http://www.springframework.org/schema/aop"
     xmlns:tx="http://www.springframework.org/schema/tx"
     xmlns:mvc="http://www.springframework.org/schema/mvc"
     xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
	   http://www.springframework.org/schema/beans/spring-beans.xsd
	   http://www.springframework.org/schema/aop
       http://www.springframework.org/schema/aop/spring-aop.xsd
       http://www.springframework.org/schema/tx
       http://www.springframework.org/schema/tx/spring-tx.xsd
        http://www.springframework.org/schema/context
       http://www.springframework.org/schema/context/spring-context.xsd
         http://www.springframework.org/schema/mvc
       http://www.springframework.org/schema/mvc/spring-mvc.xsd">
       
       
  	<!--扫描注解@Controller  -->    
  	<context:component-scan base-package="com.bjsxt.controller"></context:component-scan>
       
       
     <!--扫描@RequestMapping  -->  
     <mvc:annotation-driven></mvc:annotation-driven>
     
     <!-- 自定义视图解析器 -->
      <bean id="viewResolver" class="org.springframework.web.servlet.view.InternalResourceViewResolver">
      		<property name="prefix" value="/WEB-INF/jsp/"></property>
      		<property name="suffix" value=".jsp"></property>		
      </bean> 
      
      <!-- 静态资源放行 -->
        <!--location:指的是本地资源的地址    mapping：指的是网络请求的地址  -->
    	<mvc:resources location="/WEB-INF/css/" mapping="/css/**"></mvc:resources> 
    	<mvc:resources location="/WEB-INF/js/" mapping="/js/**"></mvc:resources>
    	<mvc:resources location="/WEB-INF/images/" mapping="/images/**"></mvc:resources> 

       
</beans>